Package: procps
Version: 2:3.3.13-1
Followup-For: Bug #895005
Tags: patch

Hi again:

I think I found the issue, and some extras. Please see attached diff,
the important part is the last exit 0 that broke the sourcing done in
init-d-script. I also removed the useless check (that other script
checks if DAEMON is set and executable) and fixed QUIENT typo and the
function redefinitions.

Tested all commands avaliable in usage info (start, stop, status,
restart, try-restart, force-reload), all them work (ok or silent), but
try-restart prints things poorly (making status function return 1
makes thing look better but report "fail", which is probably worse).

I believe the QUIET_SYSCTL line and comment above it could become a
file named /etc/defaults/procps, init-d-script should take care of
including it.

Thanks,
GSR
 
--- procps	2018-04-07 04:01:42.155079422 +0200
+++ /etc/init.d/procps	2018-04-07 04:02:57.744576691 +0200
@@ -21,14 +21,20 @@
 DAEMON=/sbin/sysctl
 PIDFILE=none
 
+
+test -x $SYSCTL || exit 0
+
 # Comment this out for sysctl to print every item changed
 QUIET_SYSCTL="-q"
 
 do_start_cmd() {
 	STATUS=0
-	$DAEMON $QUIET_SYSCTL --system || STATUS=$?
+	$DAEMON $QUIENT_SYSCTL --system || STATUS=$?
 	return $STATUS
 }
 
-do_stop() { return 0; }
-do_status() { return 0; }
+do_stop() {}
+do_stop_cmd() {}
+do_status() {}
+
+exit 0

Reply via email to